import { globalStore } from '@/stores'
import { useAudio } from './useAudio'

export const useSound = (url: string) => {
  const { system } = globalStore()
  if (!system.volume.effectsStatus) return
  useAudio({
    url,
    autoplay: true,
    volume: system.volume.effectsVolume / 100,
  })
}
